Index: src/consumers/ascii_writer/tsp_ascii_writer.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/ascii_writer/tsp_ascii_writer.c,v
retrieving revision 1.31
diff -u -r1.31 tsp_ascii_writer.c
--- src/consumers/ascii_writer/tsp_ascii_writer.c	12 May 2007 22:10:41 -0000	1.31
+++ src/consumers/ascii_writer/tsp_ascii_writer.c	3 Feb 2008 19:38:41 -0000
@@ -49,7 +49,6 @@
 #include <tsp_ascii_writer.h>
 #include <tsp_consumer.h>
 #include <tsp_common.h>
-#include <tsp_simple_trace.h>
 #include <tsp_const_def.h>
 #include <tsp_time.h>
 /*#include <macsim_fmt.h>*/
@@ -142,7 +141,7 @@
 
   retcode = TSP_consumer_init(argc, argv);
   if (TSP_STATUS_OK!=retcode) {
-    STRACE_ERROR(("TSP init failed"));    
+    STRACE_ERROR("TSP init failed");
   } 
   return retcode;
 }  /* end of tsp_ascii_writer_initialise */
@@ -164,7 +163,7 @@
     /* increment first since initialised to -1 */
     ++tsp_ascii_writer_current_var;
     g_tsp_symbols[tsp_ascii_writer_current_var].name = strdup(symbol_name);
-    STRACE_INFO(("Added var <%s>",symbol_name));
+    STRACE_INFO("Added var <%s>",symbol_name);
     retcode =0;
   }
   return retcode;
@@ -174,7 +173,7 @@
 tsp_ascii_writer_add_var_period(int32_t period) {
   if (NULL != g_tsp_symbols) {
     g_tsp_symbols[tsp_ascii_writer_current_var].period = period;
-    STRACE_INFO(("Period <%d>",period));
+    STRACE_INFO("Period <%d>",period);
   }
   return 0;
 } /* tsp_ascii_writer_add_var_period */
@@ -199,15 +198,15 @@
   yyin = fopen(conffilename,"r");
   if (((FILE*)(NULL)) == yyin) {    
     strncpy(syserr,strerror(errno),TSP_MAX_SYSMSG_SIZE);
-    STRACE_ERROR(("Cannot open config file <%s> (%s)",conffilename,syserr));
+    STRACE_ERROR("Cannot open config file <%s> (%s)",conffilename,syserr);
     retcode = TSP_STATUS_ERROR_AW_CONFIG_FILE_INVALID;
   }
   /* Lets parse the config file */
   if (TSP_STATUS_OK == retcode) {    
-    STRACE_INFO(("Parsing config file..."));
+    STRACE_INFO("Parsing config file...");
     /* First parse used for COUNTING requested symbols */
     yyparse();
-    STRACE_INFO(("<%d> variables requested...",tsp_ascii_writer_nb_var));
+    STRACE_INFO("<%d> variables requested...",tsp_ascii_writer_nb_var);
     if (0!=tsp_ascii_writer_parse_error) {
       retcode = TSP_STATUS_ERROR_AW_CONFIG_FILE_PARSE_ERROR;
     }
@@ -321,13 +320,13 @@
     myprovider = TSP_consumer_connect_url(tsp_provider_url);
     /* Verify if the provider was reached */
     if (0==myprovider) {
-      STRACE_ERROR(("Unreachable or no TSP provider running at TSP URL <%s> ?!?",tsp_provider_url));
+      STRACE_ERROR("Unreachable or no TSP provider running at TSP URL <%s> ?!?",tsp_provider_url);
       retcode = TSP_STATUS_ERROR_PROVIDER_UNREACHABLE;
       return retcode;
     } else  {
       retcode =TSP_consumer_request_open(myprovider, 0, 0 );
       if (TSP_STATUS_OK!=retcode) {
-	STRACE_ERROR(("TSP_request_open to TSP URL <%s> FAILED",tsp_provider_url));
+	STRACE_ERROR("TSP_request_open to TSP URL <%s> FAILED",tsp_provider_url);
 	return retcode;
       }
     }
@@ -366,9 +365,9 @@
     for (i=0;i<TSP_SSIList_getSize(current_requestedSSIL);++i) { 
       
       currentSymbol = TSP_SSIList_getSSI(current_requestedSSIL,i);
-      STRACE_INFO(("Examining symbol <%s> of pgi <%d>",
+      STRACE_INFO("Examining symbol <%s> of pgi <%d>",
 		   currentSymbol->name,
-		   currentSymbol->provider_global_index));
+		   currentSymbol->provider_global_index);
 
       if (currentSymbol->provider_global_index == -1)  {
 	my_logMsg("Checking for symbol like <%s> on provider side.\n",currentSymbol->name);
@@ -439,7 +438,7 @@
       if (currentSymbol->phase >= 0) {
 	TSP_SSI_copy(TSP_SSIList_getSSI(*validatedSSIL,valid_index),
 		     *currentSymbol);
-	STRACE_DEBUG(("Asking for TSP var = <%s>",currentSymbol->name));
+	STRACE_DEBUG("Asking for TSP var = <%s>",currentSymbol->name);
 	++valid_index;
       } /* end if tsp_symbols[i].phase >= 0 */
     } /* loop over nb_symbols */
@@ -454,7 +453,7 @@
     retcode = TSP_consumer_request_sample(myprovider,validatedSSIL);
     if (TSP_STATUS_OK!=retcode) {
       TSP_consumer_print_invalid_symbols(stderr,validatedSSIL,tsp_provider_url);
-      STRACE_ERROR(("(final) TSP request sample refused by the provider?huh?..."));
+      STRACE_ERROR("(final) TSP request sample refused by the provider?huh?...");
       return retcode;
     }
   }
@@ -473,7 +472,7 @@
 
     retcode = TSP_consumer_request_extended_information(myprovider, pgis, pgis_len);
     if (TSP_STATUS_OK!=retcode) {
-      STRACE_ERROR(("TSP request extended information refused by the provider?huh?..."));
+      STRACE_ERROR("TSP request extended information refused by the provider?huh?...");
       free(pgis);
     }
     free(pgis);
@@ -720,12 +719,12 @@
 
   /* Demarrage des sample au niveau provider */
   if(TSP_STATUS_OK!=TSP_consumer_request_sample_init(myprovider,0,0)) {
-    STRACE_ERROR(("Sample init refused by the provider??..."));
+    STRACE_ERROR("Sample init refused by the provider??...");
     retcode = -1;
   }
 
   tsp_ascii_writer_sample_running = 1;
-  STRACE_DEBUG(("Begin sample read...\n"));
+  STRACE_DEBUG("Begin sample read...");
   if (0 == retcode) 
   {
     nb_sample_item    = 0;
@@ -811,11 +810,11 @@
   if (NULL != myprovider) {
     if (tsp_ascii_writer_sample_running) {
 	    if (TSP_STATUS_OK!=(retcode=TSP_consumer_request_sample_destroy(myprovider))) {
-		    STRACE_ERROR(("TSP_request_sample_destroy ERROR: %s",TSP_status_string(retcode)));
+		    STRACE_ERROR("TSP_request_sample_destroy ERROR: %s",TSP_status_string(retcode));
       }  
     }
     if (TSP_STATUS_OK!=(retcode=TSP_consumer_request_close(myprovider))) {
-	    STRACE_ERROR(("TSP_request_close ERROR: %s",TSP_status_string(retcode)));
+	    STRACE_ERROR("TSP_request_close ERROR: %s",TSP_status_string(retcode));
     }
   }
   TSP_consumer_end();
Index: src/consumers/generic/generic_consumer_main.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/generic/generic_consumer_main.c,v
retrieving revision 1.13
diff -u -r1.13 generic_consumer_main.c
--- src/consumers/generic/generic_consumer_main.c	8 Dec 2007 13:56:41 -0000	1.13
+++ src/consumers/generic/generic_consumer_main.c	3 Feb 2008 19:38:41 -0000
@@ -124,7 +124,7 @@
 #endif
 
   if(TSP_STATUS_OK!=TSP_consumer_init(&argc, &argv)) {
-      STRACE_ERROR(("TSP init failed"));
+      STRACE_ERROR("TSP init failed");
       return -1;
   }
 
Index: src/consumers/res_writer/client_res.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/res_writer/client_res.c,v
retrieving revision 1.19
diff -u -r1.19 client_res.c
--- src/consumers/res_writer/client_res.c	29 Mar 2007 20:42:53 -0000	1.19
+++ src/consumers/res_writer/client_res.c	3 Feb 2008 19:38:41 -0000
@@ -86,12 +86,12 @@
 {
   stop = TRUE;
 
-  STRACE_TEST(("Waiting eol and saving file..."));
+  STRACE_TEST("Waiting eol and saving file...");
 }
 
 void usage (char *txt)
 {
-  STRACE_ERROR(("USAGE : %s -f: [-u:] [-tmdh]", txt));
+  STRACE_ERROR("USAGE : %s -f: [-u:] [-tmdh]", txt);
   printf("\t -f filename   : output RES format filename\n");
   printf("\t[-u serverURL] : TSP Universal Resource Locator\n\n");
   printf(TSP_URL_FORMAT_USAGE);
@@ -139,11 +139,11 @@
   MySignal(SIGINT, catch_ctrl_c);
 
 
-  STRACE_INFO(("Autodetect CPU : %d bits", sizeof(long)*8));
+  STRACE_INFO("Autodetect CPU : %d bits", sizeof(long)*8);
 
   /* TSP Init */
   if(TSP_STATUS_OK!=TSP_consumer_init(&argc, &argv)) {
-    STRACE_ERROR(("TSP init failed"));
+    STRACE_ERROR("TSP init failed");
     return -1;
   }
       
@@ -160,7 +160,7 @@
 	    nb_providers++;
 	  else
 	    {
-	      STRACE_ERROR(("Cannot connect to %s", optarg));
+	      STRACE_ERROR("Cannot connect to %s", optarg);
 	    }
 	  break;
 	case 'f':   out_file_res = optarg;      break;
@@ -180,7 +180,7 @@
       providers[nb_providers++] = TSP_consumer_connect_url(NULL);
       if(!providers[0])
         {
-          STRACE_ERROR(("Cannot connect to a TSP provider on local host"));
+          STRACE_ERROR("Cannot connect to a TSP provider on local host");
           usage(argv[0]);
 	 }
     }
@@ -191,7 +191,7 @@
       /* Open requested provider */
       /*-------------------------*/ 
       if (TSP_STATUS_OK!=TSP_consumer_request_open(providers[provider], 0, 0 )) {
-	STRACE_ERROR(("TSP_request_provider_open failed"));
+	STRACE_ERROR("TSP_request_provider_open failed");
 	return -1;
       }
  
@@ -203,7 +203,7 @@
 	{
 	  if(TSP_STATUS_OK!=TSP_consumer_request_information(providers[provider]))
 	    {
-	      STRACE_ERROR(("TSP_request_provider_information failed"));
+	      STRACE_ERROR("TSP_request_provider_information failed");
 	      return -1;
 	    }
 	  
@@ -219,7 +219,7 @@
       
       for( i = 0 ; i< symbols[provider].TSP_sample_symbol_info_list_t_len ; i++)
 	{
-	  STRACE_INFO(("Id=%d Sym='%s'",i, information->symbols.TSP_sample_symbol_info_list_t_val[i].name));
+	  STRACE_INFO("Id=%d Sym='%s'",i, information->symbols.TSP_sample_symbol_info_list_t_val[i].name);
 	  symbols[provider].TSP_sample_symbol_info_list_t_val[i].name = information->symbols.TSP_sample_symbol_info_list_t_val[i].name;
 	  symbols[provider].TSP_sample_symbol_info_list_t_val[i].period = period;
 	  symbols[provider].TSP_sample_symbol_info_list_t_val[i].phase = 0;
@@ -245,7 +245,7 @@
 	  symbols[provider].TSP_sample_symbol_info_list_t_len = 10;
 	  break;
 	default:
-	  STRACE_ERROR(("Unknown test number"));
+	  STRACE_ERROR("Unknown test number");
 	  return -1;
 	}
 
@@ -260,7 +260,7 @@
       /* Ask for sample list */
       /*---------------------*/ 
       if(TSP_STATUS_OK!=TSP_consumer_request_sample(providers[provider],&symbols[provider])) {
-	STRACE_ERROR(("TSP_request_provider_sample failed"));
+	STRACE_ERROR("TSP_request_provider_sample failed");
 	return -1;
       }
     }
@@ -273,7 +273,7 @@
     /* Start sampling */
     /*----------------*/ 
     if (TSP_STATUS_OK!=TSP_consumer_request_sample_init(providers[provider],0,0)) {
-	STRACE_ERROR(("TSP_request_provider_sample_init failed"));
+	STRACE_ERROR("TSP_request_provider_sample_init failed");
 	return -1;
       }
   }
@@ -283,7 +283,7 @@
   /* Loop on data read */
   /*-------------------*/ 
   
-  STRACE_INFO(("file=%s", out_file_res));
+  STRACE_INFO("file=%s", out_file_res);
   d_wopen(out_file_res);
   d_wcom(""); /* No comment */
 
Index: src/consumers/stdout/client_stdout.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/stdout/client_stdout.c,v
retrieving revision 1.17
diff -u -r1.17 client_stdout.c
--- src/consumers/stdout/client_stdout.c	30 Nov 2007 15:42:01 -0000	1.17
+++ src/consumers/stdout/client_stdout.c	3 Feb 2008 19:38:41 -0000
@@ -194,7 +194,7 @@
   
   if(TSP_STATUS_OK!=TSP_consumer_init(&argc, &argv)) {
     retcode=1;
-    STRACE_ERROR(("TSP init failed"));
+    STRACE_ERROR("TSP init failed");
     return retcode;
   }
 
@@ -204,23 +204,23 @@
   provider = TSP_consumer_connect_url(provider_url);
   if (provider) {
     const char* info = TSP_consumer_get_connected_name(provider) ;
-    STRACE_INFO(("Server %s, info = '%s'", provider_url, info));
+    STRACE_INFO("Server %s, info = '%s'", provider_url, info);
     
     /* Check name */
     if(test_mode && !strstr(info, "StubbedServer")) {
-      STRACE_ERROR(("Serveur name corrupted"));
+      STRACE_ERROR("Server name corrupted");
       retcode=2;
-      STRACE_TEST(("STAGE 001 | STEP 001 : FAILED"));
+      STRACE_TEST("STAGE 001 | STEP 001 : FAILED");
       return retcode;
     }	  
   }
   else {
     retcode = 3;
-    STRACE_ERROR(("Unable to find any provider for host"));
+    STRACE_ERROR("Unable to find any provider for host");
     return retcode;
   }
   
-  STRACE_TEST(("STAGE 001 | STEP 001 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 001 : PASSED");
 
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 002 */
@@ -228,26 +228,26 @@
   /* Request Open on the [found] provider */
 
   if(TSP_STATUS_OK!=TSP_consumer_request_open(provider, 0, NULL)) {
-    STRACE_ERROR(("TSP_request_provider_open failed"));
-    STRACE_TEST(("STAGE 001 | STEP 002 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_open failed");
+    STRACE_TEST("STAGE 001 | STEP 002 : FAILED");
     return -1;
   }
   
-  STRACE_TEST(("STAGE 001 | STEP 002 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 002 : PASSED");
 
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 003 */
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_information(provider)) {
-    STRACE_ERROR(("TSP_request_provider_information failed"));
-    STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_information failed");
+    STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
     return -1;
   }
   
   /* be wild, ask twice to try to trigger mem leak  */
   if(TSP_STATUS_OK!=TSP_consumer_request_information(provider)) {
-    STRACE_ERROR(("TSP_request_provider_information failed"));
-    STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_information failed");
+    STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
     return -1;
   }
 
@@ -256,8 +256,8 @@
   if ((TSP_SSIList_getSize(information->symbols) < 1 ) ||
       (TSP_SSIList_getSize(information->symbols) > 999999)
       ) {
-    STRACE_ERROR(("The total number of symbols should be fair, and not %d",TSP_SSIList_getSize(information->symbols)));
-    STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+    STRACE_ERROR("The total number of symbols should be fair, and not %d",TSP_SSIList_getSize(information->symbols));
+    STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
     return -1;      
   }
 
@@ -267,14 +267,14 @@
       sprintf(symbol_buf, "Symbol%d",i);
       if(strcmp(symbol_buf, TSP_SSIList_getSSI(information->symbols,i)->name)) {
 	printf("%s != %s\n", symbol_buf, TSP_SSIList_getSSI(information->symbols,i)->name);
-	STRACE_ERROR(("Symbol name corrupted"));
-	STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+	STRACE_ERROR("Symbol name corrupted");
+	STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
 	return -1;
       }
     }
   }
       
-  STRACE_TEST(("STAGE 001 | STEP 003 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 003 : PASSED");
   
   /* Initialize symbols list */
   TSP_SSIList_initialize(&symbols,nb_symbols);
@@ -292,28 +292,28 @@
   /* TEST : STAGE 001 | STEP 004 */
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_sample(provider, &symbols)) {
-    STRACE_ERROR(("TSP_request_provider_sample failed"));
-    STRACE_TEST(("STAGE 001 | STEP 004 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_sample failed");
+    STRACE_TEST("STAGE 001 | STEP 004 : FAILED");
     return -1;
   }
   
   /* be wild, ask twice to try to trigger mem leak  */
   if(TSP_STATUS_OK!=TSP_consumer_request_sample(provider, &symbols)) {
-    STRACE_ERROR(("TSP_request_provider_sample failed"));
-    STRACE_TEST(("STAGE 001 | STEP 004 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_sample failed");
+    STRACE_TEST("STAGE 001 | STEP 004 : FAILED");
     return -1;
   }
 
-  STRACE_TEST(("STAGE 001 | STEP 004 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 004 : PASSED");
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 005 */
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_sample_init(provider, 0, 0)) {
-    STRACE_ERROR(("TSP_request_provider_sample_init failed"));
-    STRACE_TEST(("STAGE 001 | STEP 005 : FAILED"));
+    STRACE_ERROR("TSP_request_provider_sample_init failed");
+    STRACE_TEST("STAGE 001 | STEP 005 : FAILED");
     return -1;
   }
-  STRACE_TEST(("STAGE 001 | STEP 005 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 005 : PASSED");
 
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 006 */
@@ -353,7 +353,7 @@
 	    /* pgi == 0 is t so don't check for t*/
 	    if(sample.provider_global_index != 0) {
 	      if( (ABS(sample.uvalue.double_value - calc) > 1e-7) && (t == (sample.time - 1)) ) {
-		STRACE_ERROR(("!!!!ERROR : T=%u, I=%d, V1=%f, V2=%f", sample.time,i,sample.uvalue.double_value,calc ));
+		STRACE_ERROR("!!!!ERROR : T=%u, I=%d, V1=%f, V2=%f", sample.time,i,sample.uvalue.double_value,calc);
 		all_data_ok = FALSE;
 	      }
 	    }	  
@@ -367,18 +367,18 @@
 	    if(all_data_ok) {
 	      
 	      printf("\n");
-	      STRACE_TEST(("STAGE 001 | STEP 006 : PASSED" ));			
+	      STRACE_TEST("STAGE 001 | STEP 006 : PASSED");
 	      
 	      /* --------------- */
 	      /* Close providers */
 	      /* --------------- */
 	      if(TSP_STATUS_OK!=TSP_consumer_request_sample_destroy(provider)) {
-		STRACE_ERROR(("Function TSP_consumer_request_sample_destroy failed" ));	 
+		STRACE_ERROR("Function TSP_consumer_request_sample_destroy failed");
 	      }
 	      TSP_SSIList_finalize(&symbols);
 		  
 	      if(TSP_STATUS_OK!=TSP_consumer_request_close(provider)) {
-		STRACE_ERROR(("Function TSP_consumer_request_close failed" ));			    
+		STRACE_ERROR("Function TSP_consumer_request_close failed");
 	      }
 		  
 	      TSP_consumer_disconnect_one(provider);	      
@@ -399,7 +399,7 @@
 	}
       }
       else {
-	STRACE_ERROR(("TSP_read_sample failed"));
+	STRACE_ERROR("TSP_read_sample failed");
       }
     } while(new_sample);
     
Index: src/consumers/stdout_callback/client_callback_stdout.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/stdout_callback/client_callback_stdout.c,v
retrieving revision 1.6
diff -u -r1.6 client_callback_stdout.c
--- src/consumers/stdout_callback/client_callback_stdout.c	30 Aug 2007 08:27:46 -0000	1.6
+++ src/consumers/stdout_callback/client_callback_stdout.c	3 Feb 2008 19:38:42 -0000
@@ -83,7 +83,7 @@
     {
       if((ABS(sample->uvalue.double_value - calc ) > 1e-7) || (0 != strncmp((char*)user_data, USER_DATA, strlen(USER_DATA))))
         {
-          STRACE_ERROR(("!!!!ERROR : T=%u, I=%d, V1=%f, V2=%f", sample->time,i,sample->uvalue.double_value,calc ));			
+          STRACE_ERROR("!!!!ERROR : T=%u, I=%d, V1=%f, V2=%f", sample->time,i,sample->uvalue.double_value,calc);
           all_data_ok = FALSE;
         }
     }
@@ -117,7 +117,7 @@
   printf ("#===========================================================================#\n");
  
   if (TSP_STATUS_OK!=TSP_consumer_init(&argc, &argv)) {
-    STRACE_ERROR(("TSP init failed"));
+    STRACE_ERROR("TSP init failed");
     return -1;
   }
 
@@ -132,7 +132,7 @@
     }
   else
     {
-      STRACE_ERROR(("USAGE %s : server period <test_mode>\n", argv[0]));
+      STRACE_ERROR("USAGE %s : server period <test_mode>", argv[0]);
       return -1;
     }
 
@@ -147,13 +147,13 @@
       for( i = 0 ; i<nb_providers ; i++)
 	{
 	  const char* info = TSP_consumer_get_connected_name(providers[i]) ;
-	  STRACE_INFO(("Server Nb %d, info = '%s'", i, info));
+	  STRACE_INFO("Server Nb %d, info = '%s'", i, info);
 	  
 	  /* Check name */
 	  if(strcmp(info, "StubbedServer"))
 	    {
-	      STRACE_ERROR(("Serveur name corrupted"));
-	      STRACE_TEST(("STAGE 001 | STEP 001 : FAILED"));
+	      STRACE_ERROR("Server name corrupted");
+	      STRACE_TEST("STAGE 001 | STEP 001 : FAILED");
 	      return -1;
 	    }
 	  
@@ -161,11 +161,11 @@
     }
   else
     {
-      STRACE_ERROR(("Unable to find any provider for host"));
+      STRACE_ERROR("Unable to find any provider for host");
       return -1;
     }
 
-  STRACE_TEST(("STAGE 001 | STEP 001 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 001 : PASSED");
 
 
   /*-------------------------------------------------------------------------------------------------------*/ 
@@ -175,28 +175,28 @@
 
   if(TSP_STATUS_OK!=TSP_consumer_request_open(providers[0], 0, 0))
     {
-      STRACE_ERROR(("TSP_request_provider_open failed"));
-      STRACE_TEST(("STAGE 001 | STEP 002 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_open failed");
+      STRACE_TEST("STAGE 001 | STEP 002 : FAILED");
       return -1;
     }
   
-  STRACE_TEST(("STAGE 001 | STEP 002 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 002 : PASSED");
 
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 003 */
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_information(providers[0]))
     {
-      STRACE_ERROR(("TSP_request_provider_information failed"));
-      STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_information failed");
+      STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
       return -1;
     }
   
   /* be wild, ask twice to try to trigger mem leak  */
   if(TSP_STATUS_OK!=TSP_consumer_request_information(providers[0]))
     {
-      STRACE_ERROR(("TSP_request_provider_information failed"));
-      STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_information failed");
+      STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
       return -1;
     }
 
@@ -206,8 +206,8 @@
   /* Check total symbol number */
   if(1000 !=  information->symbols.TSP_sample_symbol_info_list_t_len )
     {
-      STRACE_ERROR(("The total number of symbols should be 1000"));
-      STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+      STRACE_ERROR("The total number of symbols should be 1000");
+      STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
       return -1;      
     }
 
@@ -217,14 +217,14 @@
       sprintf(symbol_buf, "Symbol%d",i);
       if(strcmp(symbol_buf,  information->symbols.TSP_sample_symbol_info_list_t_val[i].name))
 	{
-	  STRACE_ERROR(("Symbol name corrupted"));
-	  STRACE_TEST(("STAGE 001 | STEP 003 : FAILED"));
+	  STRACE_ERROR("Symbol name corrupted");
+	  STRACE_TEST("STAGE 001 | STEP 003 : FAILED");
 	  return -1;
 	}
       
     }
       
-  STRACE_TEST(("STAGE 001 | STEP 003 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 003 : PASSED");
 
   symbols.TSP_sample_symbol_info_list_t_val = (TSP_sample_symbol_info_t*)calloc(information->symbols.TSP_sample_symbol_info_list_t_len, sizeof(TSP_sample_symbol_info_t));
   TSP_CHECK_ALLOC(symbols.TSP_sample_symbol_info_list_t_val, -1);
@@ -241,31 +241,31 @@
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_sample(providers[0], &symbols))
     {
-      STRACE_ERROR(("TSP_request_provider_sample failed"));
-      STRACE_TEST(("STAGE 001 | STEP 004 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_sample failed");
+      STRACE_TEST("STAGE 001 | STEP 004 : FAILED");
       return -1;
     }
   /* be wild, ask twice to try to trigger mem leak  */
   if(TSP_STATUS_OK!=TSP_consumer_request_sample(providers[0], &symbols))
     {
-      STRACE_ERROR(("TSP_request_provider_sample failed"));
-      STRACE_TEST(("STAGE 001 | STEP 004 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_sample failed");
+      STRACE_TEST("STAGE 001 | STEP 004 : FAILED");
       return -1;
     }
 
   free(symbols.TSP_sample_symbol_info_list_t_val);
 
-  STRACE_TEST(("STAGE 001 | STEP 004 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 004 : PASSED");
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 005 */
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_sample_init(providers[0], test_callback, (void*)(USER_DATA) ))
     {
-      STRACE_ERROR(("TSP_request_provider_sample_init failed"));
-      STRACE_TEST(("STAGE 001 | STEP 005 : FAILED"));
+      STRACE_ERROR("TSP_request_provider_sample_init failed");
+      STRACE_TEST("STAGE 001 | STEP 005 : FAILED");
       return -1;
     }
-  STRACE_TEST(("STAGE 001 | STEP 005 : PASSED"));
+  STRACE_TEST("STAGE 001 | STEP 005 : PASSED");
 
   /*-------------------------------------------------------------------------------------------------------*/ 
   /* TEST : STAGE 001 | STEP 006 */
@@ -279,7 +279,7 @@
           if(all_data_ok)
             {
               
-              STRACE_TEST(("STAGE 001 | STEP 006 : PASSED" ));			
+              STRACE_TEST("STAGE 001 | STEP 006 : PASSED" );
               
               /* If test mode, the return code is the number of opened providers */
               /* --------------- */
@@ -287,12 +287,12 @@
               /* --------------- */
               if(TSP_STATUS_OK!=TSP_consumer_request_sample_destroy(providers[0]))
                 {
-                  STRACE_ERROR(("Function TSP_consumer_request_sample_destroy failed" ));	 
+                  STRACE_ERROR("Function TSP_consumer_request_sample_destroy failed");
                 }
               
               if(TSP_STATUS_OK!=TSP_consumer_request_close(providers[0]))
                 {
-                  STRACE_ERROR(("Function TSP_consumer_request_close failed" ));			    
+                  STRACE_ERROR("Function TSP_consumer_request_close failed");
                 }
               
               TSP_consumer_disconnect_all(providers);
Index: src/consumers/test_group/client_group.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/test_group/client_group.c,v
retrieving revision 1.8
diff -u -r1.8 client_group.c
--- src/consumers/test_group/client_group.c	9 Nov 2007 18:25:32 -0000	1.8
+++ src/consumers/test_group/client_group.c	3 Feb 2008 19:38:42 -0000
@@ -140,7 +140,7 @@
 
   if(TSP_STATUS_OK!=TSP_consumer_init(&argc, &argv))
     {
-      STRACE_ERROR(("TSP init failed"));
+      STRACE_ERROR("TSP init failed");
       return -1;
     }
 
@@ -153,7 +153,7 @@
     }
   else
     {
-      STRACE_ERROR(("USAGE %s : server period\n", argv[0]));
+      STRACE_ERROR("USAGE %s : server period", argv[0]);
       return -1;
     }
 
@@ -167,12 +167,12 @@
       for( i = 0 ; i<nb_providers ; i++)
 	{
 	  const char* info = TSP_consumer_get_connected_name(providers[i]) ;
-	  STRACE_INFO(("Server Nb %d, info = '%s'", i,info));
+	  STRACE_INFO("Server Nb %d, info = '%s'", i,info);
 	  
 	  /* Check name */
 	  if(strcmp(info, "StubbedServer"))
 	    {
-	      STRACE_ERROR(("Serveur name corrupted"));
+	      STRACE_ERROR("Server name corrupted");
 	      return -1;
 	    }
 	  
@@ -180,7 +180,7 @@
     }
   else
     {
-      STRACE_ERROR(("Unable to find any provider for host"));
+      STRACE_ERROR("Unable to find any provider for host");
       return -1;
     }
 
@@ -193,7 +193,7 @@
   /* Le 1er provider existe puisqu'il y en a au moins 1 */
 
   if(TSP_STATUS_OK!=TSP_consumer_request_open(providers[0], 0, 0)) {
-    STRACE_ERROR(("TSP_request_provider_open failed"));
+    STRACE_ERROR("TSP_request_provider_open failed");
     return -1;
   }
   
@@ -203,13 +203,13 @@
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_information(providers[0]))
     {
-      STRACE_ERROR(("TSP_request_provider_information failed"));
+      STRACE_ERROR("TSP_request_provider_information failed");
       return -1;
     }
   
   /* How many symbols do we want to send ? */
   for(requested_nb = 0; data_test[requested_nb].index != (-2); requested_nb++);
-  STRACE_INFO(("Total number of requested symbols = %d", requested_nb));
+  STRACE_INFO("Total number of requested symbols = %d", requested_nb);
 
 
   symbols.TSP_sample_symbol_info_list_t_len = requested_nb;
@@ -227,7 +227,7 @@
   /*-------------------------------------------------------------------------------------------------------*/ 
   if(TSP_STATUS_OK!=TSP_consumer_request_sample(providers[0], &symbols))
     {
-      STRACE_ERROR(("TSP_request_provider_sample failed"));
+      STRACE_ERROR("TSP_request_provider_sample failed");
       return -1;
     }
 
@@ -241,7 +241,7 @@
 
   if( group_nb != groups->table_len )
     {
-      STRACE_ERROR(("Wrong groups total number"));
+      STRACE_ERROR("Wrong groups total number");
       return -1;
     }
 
@@ -254,7 +254,7 @@
 	for(size = 0; group_test[i].index[size] != (-1); size++);
 	if ( size != groups->groups[i].group_len )
 	  {
-	    STRACE_ERROR(("Wrong groups size"));
+	    STRACE_ERROR("Wrong groups size");
 	    return -1;
 	  }
       }
@@ -268,13 +268,13 @@
 	{
 	  if (  group_test[i].index[j] != groups->groups[i].items[j].provider_global_index )
 	    {
-	      STRACE_ERROR(("Wrong provider global index"));
+	      STRACE_ERROR("Wrong provider global index");
 	      return -1;
 	    }
 	}
     }
 
-  STRACE_TEST(("STAGE 002 | STEP 001 : PASSED"));
+  STRACE_TEST("STAGE 002 | STEP 001 : PASSED");
   printf ("#=========================================================#\n");
   printf ("# End <test_group> OK #\n");
   printf ("#=========================================================#\n");
Index: src/consumers/tspfs/tspfs.c
===================================================================
RCS file: /sources/tsp/tsp/src/consumers/tspfs/tspfs.c,v
retrieving revision 1.14
diff -u -r1.14 tspfs.c
--- src/consumers/tspfs/tspfs.c	25 Mar 2007 21:32:29 -0000	1.14
+++ src/consumers/tspfs/tspfs.c	3 Feb 2008 19:38:42 -0000
@@ -244,11 +244,11 @@
 		free(tspfs.idx_to_pgi);
 
 	if (tspfs.sync && (TSP_STATUS_OK!=TSP_consumer_request_sample_destroy(tspfs.provider))) {
-		STRACE_ERROR(("Function TSP_consumer_request_sample_destroy failed"));
+		STRACE_ERROR("Function TSP_consumer_request_sample_destroy failed");
 	}
 
 	if (TSP_STATUS_OK!=TSP_consumer_request_close(tspfs.provider)) {
-		STRACE_ERROR(("Function TSP_consumer_request_close failed"));
+		STRACE_ERROR("Function TSP_consumer_request_close failed");
 	}
 
 	TSP_consumer_end();
Index: src/core/CMakeLists.txt
===================================================================
RCS file: /sources/tsp/tsp/src/core/CMakeLists.txt,v
retrieving revision 1.16
diff -u -r1.16 CMakeLists.txt
--- src/core/CMakeLists.txt	29 Aug 2007 21:21:36 -0000	1.16
+++ src/core/CMakeLists.txt	3 Feb 2008 19:38:42 -0000
@@ -10,7 +10,6 @@
   include/tsp_abs_types.h
   include/tsp_const_def.h
   include/tsp_glu.h
-  include/tsp_simple_trace.h
   include/tsp_sys_headers.h
   rpc/tsp_datastruct.h)
 TSP_XINCLUDE(${INCLUDE_CORE_FILE})
@@ -65,6 +64,7 @@
   common/tsp_common_ssei
   common/tsp_common_as
   common/tsp_common_status
+  common/tsp_common_trace
   common/tsp_encoder
   common/tsp_decoder)
 
Index: src/core/common/tsp_common.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common.c,v
retrieving revision 1.10
diff -u -r1.10 tsp_common.c
--- src/core/common/tsp_common.c	30 Nov 2007 15:42:01 -0000	1.10
+++ src/core/common/tsp_common.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,6 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
 #include <tsp_const_def.h>
 #define TSP_COMMON_C
 #include <tsp_common.h>
